UntyppedAttribute (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.UntyppedAttribute,UntyppedAttribute class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class UntyppedAttribute

    java.lang.Object
      |
      +--org.apache.struts.tiles.UntyppedAttribute

All Implemented Interfaces:
  AttributeDefinition, java.io.Serializable

Direct Known Subclasses:
  DefinitionAttribute, DefinitionNameAttribute, DirectStringAttribute, PathAttribute

public class UntyppedAttribute
extends java.lang.Object
implements AttributeDefinition

Common implementation of attribute definition.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `role` Role associated to this attribute.
`protected java.lang.Object` | `value`

Constructor Summary
`UntyppedAttribute(java.lang.Object value)` Constructor.
`UntyppedAttribute(java.lang.Object value, java.lang.String role)` Constructor.

Method Summary
`java.lang.String` | `getRole()` Get role.
`java.lang.Object` | `getValue()` Get value.
`void` | `setRole(java.lang.String role)` Set role.
`void` | `setValue(java.lang.Object value)` Set value.
`java.lang.String` | `toString()` Get String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### role

    protected java.lang.String role

  Role associated to this attribute.

### value

    protected java.lang.Object value

Constructor Detail

### UntyppedAttribute

    public UntyppedAttribute(java.lang.Object value)

  Constructor.

Parameters:
  `value` - Object to store.

### UntyppedAttribute

    public UntyppedAttribute(java.lang.Object value,
                             java.lang.String role)

  Constructor.

Parameters:
  `value` - Object to store.
  `role` - Asociated role.

Method Detail

### getRole

    public java.lang.String getRole()

  Get role.

### setRole

    public void setRole(java.lang.String role)

  Set role.

  Specified by:
    `setRole` in interface `AttributeDefinition`
  Parameters:
    `role` - Associated role.

### getValue

    public java.lang.Object getValue()

  Get value.

  Specified by:
    `getValue` in interface `AttributeDefinition`

### setValue

    public void setValue(java.lang.Object value)

  Set value.

  Parameters:
    `value` - New value.

### toString

    public java.lang.String toString()

  Get String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation